routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['lang'])->group(function () {

    Route::get('/', 'HomeController@index')->name('home');
    Route::group(['namespace' => 'Admin', 'prefix' => 'admin', 'as' => 'admin.'], function () {

        Route::get('login', 'LoginController@login')->name('login');
        Route::post('login', 'LoginController@loginPost')->name('loginPost');
        Route::post('logout', 'LoginController@logout')->name('logout');

        Route::group(['middleware' => ['auth', 'AdminCheck']], function () {

            Route::get('/', 'DashboardController@dashboard')->name('home');
            Route::get('settings', 'DashboardController@settings')->name('settings');
            Route::post('settings', 'DashboardController@settingsPost');

            Route::resources([
                'users' => 'UserController',
                'roles' => 'RoleController',
                'sliders' => 'SliderController',
                'tags' => 'TagController',
                'categories' => 'CategoryController',
                'blogs' => 'BlogController',
                'pages' => 'PageController',
                'banners' => 'BannerController',
                'services' => 'ServiceController',
                'orders' => 'OrderController',
                'partners' => 'PartnerController',
                'payments' => 'PaymentController',
                'coupons' => 'CouponController',
                'shipments' => 'ShipmentController',
                'rates' => 'RateController',
                'contacts' => 'ContactController',
                'projects' => 'ProjectController',
                'products' => 'ProductController',
                'consultancies' => 'ConsultancyController',
                'materials' => 'MaterialController',
            ]);

        });
    });
    Route::group(['namespace' => 'Furniture', 'prefix' => 'furniture', 'as' => 'furniture.'], function () {

        Route::get('login', 'LoginController@login')->name('login');
        Route::post('login', 'LoginController@loginPost');
        Route::post('logout', 'LoginController@logout')->name('logout');

        Route::group(['middleware' => ['auth', 'FurnitureCheck']], function () {

            Route::get('/', 'DashboardController@dashboard')->name('home');

            Route::resources([
                'users' => 'UserController',
                'roles' => 'RoleController',
                'sliders' => 'SliderController',
                'tags' => 'TagController',
                'categories' => 'CategoryController',
                'blogs' => 'BlogController',
                'pages' => 'PageController',
                'banners' => 'BannerController',
                'services' => 'ServiceController',
                'orders' => 'OrderController',
                'partners' => 'PartnerController',
                'payments' => 'PaymentController',
                'coupons' => 'CouponController',
                'shipments' => 'ShipmentController',
                'rates' => 'RateController',
                'contacts' => 'ContactController',
                'projects' => 'ProjectController',
                'products' => 'ProductController',
                'consultancies' => 'ConsultancyController',
                'materials' => 'MaterialController',
            ]);

        });
    });
    Route::group(['namespace' => 'Contractor', 'prefix' => 'contractor', 'as' => 'contractor.'], function () {

        Route::get('login', 'LoginController@login')->name('login');
        Route::post('login', 'LoginController@loginPost');
        Route::post('logout', 'LoginController@logout')->name('logout');

        Route::group(['middleware' => ['auth', 'ContractorCheck']], function () {

            Route::get('/', 'DashboardController@dashboard')->name('home');

            Route::resources([
                'users' => 'UserController',
                'roles' => 'RoleController',
                'sliders' => 'SliderController',
                'tags' => 'TagController',
                'categories' => 'CategoryController',
                'blogs' => 'BlogController',
                'pages' => 'PageController',
                'banners' => 'BannerController',
                'services' => 'ServiceController',
                'orders' => 'OrderController',
                'partners' => 'PartnerController',
                'payments' => 'PaymentController',
                'coupons' => 'CouponController',
                'shipments' => 'ShipmentController',
                'rates' => 'RateController',
                'contacts' => 'ContactController',
                'projects' => 'ProjectController',
                'products' => 'ProductController',
                'consultancies' => 'ConsultancyController',
                'materials' => 'MaterialController',
            ]);

        });
    });
    Route::group(['namespace' => 'Designer', 'prefix' => 'designer', 'as' => 'designer.'], function () {

        Route::get('login', 'LoginController@login')->name('login');
        Route::post('login', 'LoginController@loginPost');
        Route::post('logout', 'LoginController@logout')->name('logout');

        Route::group(['middleware' => ['auth', 'DesignerCheck']], function () {

            Route::get('/', 'DashboardController@dashboard')->name('home');

            Route::resources([
                'users' => 'UserController',
                'roles' => 'RoleController',
                'sliders' => 'SliderController',
                'tags' => 'TagController',
                'categories' => 'CategoryController',
                'blogs' => 'BlogController',
                'pages' => 'PageController',
                'banners' => 'BannerController',
                'services' => 'ServiceController',
                'orders' => 'OrderController',
                'partners' => 'PartnerController',
                'payments' => 'PaymentController',
                'coupons' => 'CouponController',
                'shipments' => 'ShipmentController',
                'rates' => 'RateController',
                'contacts' => 'ContactController',
                'projects' => 'ProjectController',
                'products' => 'ProductController',
                'consultancies' => 'ConsultancyController',
                'materials' => 'MaterialController',
            ]);

        });
    });
});

app/Http/Controllers/Api/DesignerController.php
<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Spatie\Permission\Models\Role;

class DesignerController extends Controller
{

    public function index()
    {

        $role = Role::where('name',"Designer")->first();
        if(!$role){
            return response()->json(['message' => 'not exist']);
        }

        $users = $role->users;
        return response()->json(['message' => 'success', "data" => $users]);

    }

    public function show($id)
    {

        $role = Role::where('name',"Designer")->first();
        if(!$role){
            return response()->json(['message' => 'not exist']);
        }

        $user = $role->users->where('id',$id)->first();
        if(!$user){
            return response()->json(['message' => 'not exist']);
        }

        return response()->json(['message' => 'success', "data" => $user]);

    }


}

app/Http/Controllers/Designer/BannerController.php
<?php

namespace App\Http\Controllers\Designer;

use App\Http\Controllers\Controller;
use App\Models\Banner;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class BannerController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:banners management']);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        $items = Banner::where('user_id',auth()->id())->paginate(10);
        if (request()->is('api/*')) {
            return response()->json($items);
        } else {
            return view('designer.banners.index', compact('items'));
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('designer.banners.add');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $request->validate([
            'name' => 'required|array',
            'image' => 'required|image',
            'url' => 'required'
        ]);


        $item =  Banner::create([
            'image' => $request->image->store('banners'),
            'url' => request('url'),
            'user_id' => auth()->id()
        ]);

        foreach (config('app.locales') as $locale) {
            $item->translates()->updateOrCreate(
                [
                    'language' => $locale,
                    'key' => 'name',
                ],
                [
                    'value' => request('name')[$locale] ? request('name')[$locale] : ""
                ]
            );

        }


        foreach (config('app.locales') as $locale) {
            $item->translates()->updateOrCreate(
                [
                    'language' => $locale,
                    'key' => 'description',
                ],
                [
                    'value' => request('description')[$locale] ? request('description')[$locale] : ""
                ]
            );

        }

        return redirect()->route('designer.banners.index')->with(['success' => 'تم الحفظ بنجاح']);
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $item = Banner::where('user_id',auth()->id())->where('id',$id)->firstOrFail($id);

        if (request()->is('api/*')) {
            return response()->json(['item' => $item]);
        } else {
            return view('designer.banners.edit', compact('item'));
        }

    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {


        $item = Banner::where('user_id',auth()->id())->where('id',$id)->firstOrFail($id);
        $data = [];
        if ($request->has('image')) {
            $data['image'] = $request->image->store('banners');
        }
        if ($request->has('url')) {
            $data['url'] = $request->url;
        }
        if ($request->status >= 0) {
            $data['status'] = $request->status;
        }
        $item->update($data);

        foreach (config('app.locales') as $locale) {
            $item->translates()->updateOrCreate(
                [
                    'language' => $locale,
                    'key' => 'name',
                ],
                [
                    'value' => request('name')[$locale] ? request('name')[$locale] : ""
                ]
            );

        }


        foreach (config('app.locales') as $locale) {
            $item->translates()->updateOrCreate(
                [
                    'language' => $locale,
                    'key' => 'description',
                ],
                [
                    'value' => request('description')[$locale] ? request('description')[$locale] : ""
                ]
            );

        }


        if (request()->is('api/*')) {
            return response()->json($item);
        } else {
            return redirect()->route('designer.banners.index')->with(['success' => 'تم ألتحديث بنجاح']);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Banner::where('id',$id)->delete();

        return redirect()->route('designer.banners.index')->with(['success' => 'تم الحذف بنجاح']);
    }

}

app/Http/Controllers/Designer/ConsultancyController.php
<?php

namespace App\Http\Controllers\Designer;

use App\Http\Controllers\Controller;
use App\Models\Consultancy;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class ConsultancyController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:consultancies management']);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $items = Consultancy::where('user_id',auth()->id())->paginate(10);
        if (request()->is('api/*')) {
            return response()->json($items);
        } else {
            return view('designer.consultancies.index', compact('items'));
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('designer.consultancies.add');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $validations = $request->validate([
            'name' => 'required',
            'description' => 'required',
            'image' => 'required|image',
        ]);

        if($request->image){
            $validations['image'] = $request->image->store('consultancies');
        }

        $validations['user_id'] = auth()->id();

        $item = Consultancy::create($validations);

        return redirect()->route('designer.consultancies.index')->with(['success' => __("Consultancy created")]);


    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $item = Consultancy::where('user_id',auth()->id())->where('id',$id)->firstOrFail($id);

        if (request()->is('api/*')) {
            return response()->json(['item' => $item]);
        } else {
            return view('designer.consultancies.edit', compact('item'));
        }

    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {


        $item = Consultancy::where('user_id',auth()->id())->where('id',$id)->firstOrFail($id);
        $data = [];
        if ($request->has('image')) {
            $data['image'] = $request->image->store('consultancies');
        }
        if ($request->has('name')) {
            $data['name'] = $request->name;
        }
        if ($request->has('description')) {
            $data['description'] = $request->description;
        }
        if ($request->status >= 0) {
            $data['status'] = $request->status;
        }

        $item->update($data);

        if (request()->is('api/*')) {
            return response()->json($item);
        } else {
            return redirect()->route('designer.consultancies.index')->with(['success' => __("Consultancy updated")]);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Consultancy::where('id', $id)->delete();

        return redirect()->route('designer.consultancies.index')->with(['success' => __("Consultancy deleted")]);
    }

}

app/Http/Controllers/Designer/DashboardController.php
<?php

namespace App\Http\Controllers\Designer;

use App\Http\Controllers\Controller;
use App\Models\Setting;

use Illuminate\Support\Facades\Session;

class DashboardController extends Controller
{
    public function dashboard()
    {

        if (request('lang')) {
            Session::put('lang', request('lang'));
            app()->setLocale(request('lang'));
            return redirect()->back();
        }

        return view('designer.index');
    }

}

resources/views/designer/index.blade.php
@extends('designer.layouts.app')
@section('title','Dashboard Designer')
@section('content')

    <!-- Quick stats boxes -->
    <div class="row">
        <div class="col-lg-4">

            <!-- Members online -->
            <div class="card bg-teal-400">
                <div class="card-body">
                    <div class="d-flex">
                        <h3 class="font-weight-semibold mb-0">{{\App\Models\User::count()}}</h3>
                     </div>

                    <div>
                        {{__("Furniture")}}
                    </div>
                </div>

                <div class="container-fluid">
                    <div id="members-online"></div>
                </div>
            </div>
            <!-- /members online -->

        </div>

        <div class="col-lg-4">

            <!-- Current server load -->
            <div class="card bg-pink-400">
                <div class="card-body">
                    <div class="d-flex">
                        <h3 class="font-weight-semibold mb-0">{{\App\Models\Order::where('status',"1")->count()}}</h3>
                    </div>

                    <div>
                        {{__("Designers")}}
                    </div>
                </div>

                <div id="server-load"></div>
            </div>
            <!-- /current server load -->

        </div>

        <div class="col-lg-4">

            <!-- Today's revenue -->
            <div class="card bg-orange-400">
                <div class="card-body">
                    <div class="d-flex">
                        <h3 class="font-weight-semibold mb-0">{{\App\Models\Order::sum('total')}}</h3>
                    </div>
                    <div>
                        {{__("Contractors")}}
                    </div>
                </div>

                <div id="today-revenue"></div>
            </div>
            <!-- /today's revenue -->

        </div>

        <div class="col-lg-4">

            <!-- Members online -->
            <div class="card bg-teal-400">
                <div class="card-body">
                    <div class="d-flex">
                        <h3 class="font-weight-semibold mb-0">{{\App\Models\User::count()}}</h3>
                     </div>

                    <div>
                        {{__("Order")}}
                    </div>
                </div>

                <div class="container-fluid">
                    <div id="members-online"></div>
                </div>
            </div>
            <!-- /members online -->

        </div>

        <div class="col-lg-4">

            <!-- Current server load -->
            <div class="card bg-pink-400">
                <div class="card-body">
                    <div class="d-flex">
                        <h3 class="font-weight-semibold mb-0">{{\App\Models\Order::where('status',"1")->count()}}</h3>
                    </div>

                    <div>
                        {{__("User")}}
                    </div>
                </div>

                <div id="server-load"></div>
            </div>
            <!-- /current server load -->

        </div>

        <div class="col-lg-4">

            <!-- Today's revenue -->
            <div class="card bg-orange-400">
                <div class="card-body">
                    <div class="d-flex">
                        <h3 class="font-weight-semibold mb-0">{{\App\Models\Order::sum('total')}}</h3>
                    </div>
                    <div>
                        {{__("Visitor")}}
                    </div>
                </div>

                <div id="today-revenue"></div>
            </div>
            <!-- /today's revenue -->

        </div>
    </div>
    <!-- /quick stats boxes -->

    <!-- Dashboard content -->
    <div class="row">
        <div class="col-xl-12">

            <!-- Latest posts -->
            <div class="card">
                <div class="card-header header-elements-inline">
                    <h6 class="card-title">{{__("Latest orders")}}</h6>
                </div>

                <div class="card-body pb-0">

                    @php
                        $items = \App\Models\Order::where('status',"0")->limit(10)->get();
                    @endphp

                    @if($items->count() > 0)
                        <table class="table table-striped table-bordered">
                            <thead>
                            <tr>
                                <th>{{__('Name')}}</th>
                                <th>{{__('Email')}}</th>
                                <th>{{__('Details')}}</th>
                                <th>{{__('Sub total')}}</th>
                                <th>{{__('Coupon')}}</th>
                                <th>{{__('Discount')}}</th>
                                <th>{{__('Shipment')}}</th>
                                <th>{{__('total')}}</th>
                                <th>{{__('Payment')}}</th>
                                <th>{{__('Message')}}</th>
                                <th>{{__('Status')}}</th>
                                <th>{{__('Control')}}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($items as $item)
                                <tr>
                                    <td>{{$item->user?$item->user->name:""}}</td>
                                    <td>{{$item->user?$item->user->email:""}}</td>
                                    <td>
                                        <ul>
                                            @foreach($item->details as $detail)
                                                <li>{{ $detail->course ? $detail->course->name : $detail }}</li>
                                            @endforeach
                                        </ul>
                                    </td>
                                    <td>{{$item->sub_total}} {{__('CurrencyCode')}}</td>
                                    <td>{{$item->code}}</td>
                                    <td>{{$item->discount}} {{__('CurrencyCode')}}</td>
                                    <td>{{$item->shipment?$item->shipment->name:""}}</td>
                                    <td>{{$item->total}} {{__('CurrencyCode')}}</td>
                                    <td>{{$item->payment?$item->payment->name:""}}</td>
                                    <td>{{$item->note}}</td>
                                    <td>
                                        @if($item->status == 2) {{__("Cancel")}} @elseif($item->status == 1 ) {{__("Approved")}} @else
                                            {{__("Pending")}} @endif
                                    </td>
                                    <td>

                                                <span class="dropdown"><button id="btnSearchDrop28" type="button"
                                                                               data-toggle="dropdown"
                                                                               aria-haspopup="true" aria-expanded="true"
                                                                               class="btn btn-primary dropdown-toggle dropdown-menu-right">
                                                        <i class="icon-cog"></i></button>
                                                <span aria-labelledby="btnSearchDrop28"
                                                      class="dropdown-menu mt-1 dropdown-menu-left">

                                                  <form action="{{route('designer.orders.active', $item->id)}}" method="post">
                                                         @csrf
                                                        <button href="#" class="dropdown-item block-page"><i
                                                                class="icon-check"></i>{{ $item->status == 0 ?  __('Approve') : __('Pending')}}</button>
                                                  </form>
                                                    <form method="post"
                                                          action="{{route('designer.orders.destroy',$item-> id)}}">
                                                    @csrf
                                                        @method('DELETE')
                                                    <button class="dropdown-item block-page"><i class="icon-trash"></i>  {{__('Delete')}}</button>
                                                    </form>
                                                        </span>
                                             </span>
                                    </td>
                                </tr>

                            @endforeach
                            </tbody>
                        </table>

                        <br><br>

                    @else
                        <h4 class="alert alert-danger text-center"> {{__('There is no items')}}</h4>
                    @endif
                </div>
            </div>
            <!-- /latest posts -->

        </div>
    </div>
    <!-- /dashboard content -->

    <!-- Dashboard content -->
    <div class="row">
        <div class="col-xl-12">

            <!-- Latest posts -->
            <div class="card">
                <div class="card-header header-elements-inline">
                    <h6 class="card-title">{{__("Latest posts")}}</h6>
                </div>

                <div class="card-body pb-0">
                    <div class="row">

                        @php
                            $items = \App\Models\Blog::limit(10)->get();
                        @endphp

                        @if($items->count() > 0)
                            @foreach($items as $item)
                                <div class="col-xl-6">

                                    <div class="media flex-column flex-sm-row mt-0 mb-3">

                                        <div class="mr-sm-3 mb-2 mb-sm-0">
                                            <div class="card-img-actions">
                                                <a href="#">
                                                    <img src="{{$item->image}}" class="img-fluid img-preview rounded"
                                                         alt="{{$item->name}}">
                                                </a>
                                            </div>
                                        </div>

                                        <div class="media-body">
                                            <h6 class="media-title"><a href="#">{{$item->name}}</a></h6>
                                            <ul class="list-inline list-inline-dotted text-muted mb-2">
                                                <li class="list-inline-item"><i
                                                        class="icon-book-play mr-2"></i> {{$item->user?$item->user->name:""}}
                                                </li>
                                            </ul>
                                            {{Str::limit($item->description,40)}}
                                        </div>
                                    </div>
                                </div>

                            @endforeach

                        @else
                            <h4 class="alert alert-danger text-center"> {{__('There is no items')}}</h4>
                        @endif
                    </div>
                </div>
            </div>
            <!-- /latest posts -->

        </div>
    </div>
    <!-- /dashboard content -->




@endsection

resources/views/designer/login.blade.php
@extends('designer.layouts.app')
@section('title','Login')
@section('content')

    <!-- Page content -->
    <div class="page-content">

        <!-- Main content -->
        <div class="content-wrapper">

            <!-- Content area -->
            <div class="content d-flex justify-content-center align-items-center">

                <!-- Login form -->
                <form class="login-form" method="post" action="{{route('designer.login')}}">
                    {{csrf_field()}}
                    <div class="card mb-0">
                        <div class="card-body">
                            <div class="text-center mb-3">
                                <i class="icon-reading icon-2x text-slate-300 border-slate-300 border-3 rounded-round p-3 mb-3 mt-1"></i>
                                <h5 class="mb-0">Login to your designer account</h5>
                                <span class="d-block text-muted">Your credentials</span>
                            </div>

                            <div class="form-group form-group-feedback form-group-feedback-left">
                                <input type="text" class="form-control" name="email" placeholder="Email">
                                <div class="form-control-feedback">
                                    <i class="icon-user text-muted"></i>
                                </div>
                            </div>

                            <div class="form-group form-group-feedback form-group-feedback-left">
                                <input type="password" class="form-control" name="password" placeholder="Password">
                                <div class="form-control-feedback">
                                    <i class="icon-lock2 text-muted"></i>
                                </div>
                            </div>

                            <div class="form-group d-flex align-items-center">
                                <div class="form-check mb-0">
                                    <label class="form-check-label">
                                        <input type="checkbox" name="remember" class="form-input-styled" checked data-fouc>
                                        Remember
                                    </label>
                                </div>
                            </div>

                            <div class="form-group">
                                <button type="submit" class="btn btn-primary btn-block">Sign in <i class="icon-circle-right2 ml-2"></i></button>
                            </div>

                         </div>
                    </div>
                </form>
                <!-- /login form -->

            </div>
            <!-- /content area -->

        </div>
        <!-- /main content -->

    </div>
    <!-- /page content -->


@endsection